1 Reply Latest reply: Jan 14, 2013 3:40 PM by Niel
AnelR Level 1 Level 1 (0 points)

I need help updating my systems software. Currently using a MAcbook Pro - 10.5.8


MacBook Pro (17-inch Mid 2009), Mac OS X (10.5.8)